### Enumeration

# Gio ZlibCompressorFormat

since: 2.24

#### Declaration

    enum Gio.ZlibCompressorFormat

#### Description [src]

Used to select the type of data format to use for `GZlibDecompressor` and `GZlibCompressor`.

Available since: 2.24

#### Members

Name | Description
--- | ---
`G_ZLIB_COMPRESSOR_FORMAT_ZLIB` | Deflate compression with zlib header.
`G_ZLIB_COMPRESSOR_FORMAT_GZIP` | Gzip file format.
`G_ZLIB_COMPRESSOR_FORMAT_RAW` | Deflate compression with no header.